Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455164 - Review-Request: NaturalDocs - Documentation generator for multiple programming languages
Summary: Review-Request: NaturalDocs - Documentation generator for multiple programmin...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/Natu...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-13 10:21 UTC by Lubomir Rintel
Modified: 2008-12-28 21:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-28 21:42:16 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-07-13 10:21:35 UTC
SRPM: http://netbsd.sk/~lkundrak/SRPMS/NaturalDocs-1.4-2.el5.src.rpm
SPEC: http://netbsd.sk/~lkundrak/SPECS/NaturalDocs.spec

Description:

Natural Docs is an open-source documentation generator for multiple
programming languages.  You document your code in a natural syntax that
reads like plain English.  Natural Docs then scans your code and builds
high-quality HTML documentation from it.

Comment 1 Kevin Fenzi 2008-12-27 00:56:35 UTC
I'll go ahead and review this... look for a full review soon.

Comment 2 Kevin Fenzi 2008-12-27 20:18:37 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
05a9a2a392bd3d6d44d1576e624ba74a  NaturalDocs-1.4.zip
05a9a2a392bd3d6d44d1576e624ba74a  NaturalDocs-1.4.zip.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues: 

1. It looks pretty clear that the package is GPLv2+, but some of the files just say 
"the GPL". You might ping upstream about that and suggest they mention that it's v2 or
later. 

2. Might use 'install -p' to preserve the timestamp on the script. 

3. SourceUrl is not right... looks like they use naturaldocs instead of NaturalDocs
in there. 
Ie: 

http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip

None of those are blockers, so this package is APPROVED, provided you 
fix those up on import.

Comment 3 Lubomir Rintel 2008-12-27 22:46:34 UTC
> Issues: 
> 
> 1. It looks pretty clear that the package is GPLv2+, but some of the files just
> say 
> "the GPL". You might ping upstream about that and suggest they mention that
> it's v2 or
> later. 
>
> 2. Might use 'install -p' to preserve the timestamp on the script. 
> 
> 3. SourceUrl is not right... looks like they use naturaldocs instead of
> NaturalDocs
> in there. 
> Ie: 
> 
> http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip
> 
> None of those are blockers, so this package is APPROVED, provided you 
> fix those up on import.

All three are reasonable and I will surely address them. Thanks for the review!

New Package CVS Request
=======================
Package Name: NaturalDocs
Short Description: Documentation generator for multiple programming languages
Owners: lkundrak
Branches: F-9 F-10 EL-5

Comment 4 Kevin Fenzi 2008-12-28 19:16:46 UTC
cvs done.

Comment 5 Lubomir Rintel 2008-12-28 21:42:16 UTC
Imported and built. Thanks Kevin!


Note You need to log in before you can comment on or make changes to this bug.